# Uses of Enum Class
org.apache.sysds.runtime.lineage.LineageCacheConfig.LineageCachePolicy

Packages that use LineageCacheConfig.LineageCachePolicy
Package
Description
org.apache.sysds.api
org.apache.sysds.runtime.lineage

## Uses of LineageCacheConfig.LineageCachePolicy in org.apache.sysds.api

Fields in org.apache.sysds.api declared as LineageCacheConfig.LineageCachePolicy
Modifier and Type
Field
Description
`LineageCacheConfig.LineageCachePolicy`
DMLOptions.`linCachePolicy`
`static LineageCacheConfig.LineageCachePolicy`
DMLScript.`LINEAGE_POLICY`

## Uses of LineageCacheConfig.LineageCachePolicy in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return LineageCacheConfig.LineageCachePolicy
Modifier and Type
Method
Description
`static LineageCacheConfig.LineageCachePolicy`
LineageCacheConfig.`getCachePolicy()`
`static LineageCacheConfig.LineageCachePolicy`
LineageCacheConfig.LineageCachePolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LineageCacheConfig.LineageCachePolicy[]`
LineageCacheConfig.LineageCachePolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.lineage with parameters of type LineageCacheConfig.LineageCachePolicy
Modifier and Type
Method
Description
`static void`
LineageCacheConfig.`setCachePolicy(LineageCacheConfig.LineageCachePolicy policy)`